<?php

if ( class_exists("Kirki")){

	// LOGO

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'construction_services_company_logo_resizer',
		'label'       => esc_html__( 'Adjust Your Logo Size ', 'construction-services-company' ),
		'section'     => 'title_tagline',
		'default'     => 70,
		'choices'     => [
			'min'  => 10,
			'max'  => 300,
			'step' => 10,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'construction_services_company_enable_logo_text',
		'section'     => 'title_tagline',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Site Title and Tagline', 'construction-services-company' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'construction_services_company_display_header_title',
		'label'       => esc_html__( 'Site Title Enable / Disable Button', 'construction-services-company' ),
		'section'     => 'title_tagline',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'construction-services-company' ),
			'off' => esc_html__( 'Disable', 'construction-services-company' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'construction_services_company_display_header_text',
		'label'       => esc_html__( 'Tagline Enable / Disable Button', 'construction-services-company' ),
		'section'     => 'title_tagline',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'construction-services-company' ),
			'off' => esc_html__( 'Disable', 'construction-services-company' ),
		],
	] );

	// FONT STYLE TYPOGRAPHY

	Kirki::add_panel( 'construction_services_company_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Typography', 'construction-services-company' ),
	) );

	Kirki::add_section( 'construction_services_company_font_style_section', array(
		'title'      => esc_attr__( 'Typography Option',  'construction-services-company' ),
		'priority'   => 2,
		'capability' => 'edit_theme_options',
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'construction_services_company_all_headings_typography',
		'section'     => 'construction_services_company_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Heading Of All Sections',  'construction-services-company' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'construction_services_company_all_headings_typography',
		'label'       => esc_attr__( 'Heading Typography',  'construction-services-company' ),
		'description' => esc_attr__( 'Select the typography options for your heading.',  'construction-services-company' ),
		'section'     => 'construction_services_company_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'h1','h2','h3','h4','h5','h6', ),
			),
		),
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'construction_services_company_body_content_typography',
		'section'     => 'construction_services_company_font_style_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Body Content',  'construction-services-company' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'global', array(
		'type'        => 'typography',
		'settings'    => 'construction_services_company_body_content_typography',
		'label'       => esc_attr__( 'Content Typography',  'construction-services-company' ),
		'description' => esc_attr__( 'Select the typography options for your content.',  'construction-services-company' ),
		'section'     => 'construction_services_company_font_style_section',
		'priority'    => 10,
		'default'     => array(
			'font-family'    => '',
			'variant'        => '',
		),
		'output' => array(
			array(
				'element' => array( 'body', ),
			),
		),
	) );

	// PANEL

	Kirki::add_panel( 'construction_services_company_panel_id', array(
	    'priority'    => 10,
	    'title'       => esc_html__( 'Theme Options', 'construction-services-company' ),
	) );

	// Additional Settings

	Kirki::add_section( 'construction_services_company_additional_settings', array(
	    'title'          => esc_html__( 'Additional Settings', 'construction-services-company' ),
	    'description'    => esc_html__( 'Scroll To Top', 'construction-services-company' ),
	    'panel'          => 'construction_services_company_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'construction_services_company_scroll_enable_setting',
		'label'       => esc_html__( 'Here you can enable or disable your scroller.', 'construction-services-company' ),
		'section'     => 'construction_services_company_additional_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	new \Kirki\Field\Radio_Buttonset(
	[
		'settings'    => 'construction_services_company_scroll_top_position',
		'label'       => esc_html__( 'Alignment for Scroll To Top', 'construction-services-company' ),
		'section'     => 'construction_services_company_additional_settings',
		'default'     => 'Right',
		'priority'    => 10,
		'choices'     => [
			'Left'   => esc_html__( 'Left', 'construction-services-company' ),
			'Center' => esc_html__( 'Center', 'construction-services-company' ),
			'Right'  => esc_html__( 'Right', 'construction-services-company' ),
		],
	]
	);

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'dashicons',
		'settings' => 'construction_services_company_scroll_top_icon',
		'label'    => esc_html__( 'Select Appropriate Scroll Top Icon', 'construction-services-company' ),
		'section'  => 'construction_services_company_additional_settings',
		'default'  => 'dashicons dashicons-arrow-up-alt',
		'priority' => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'menu_text_transform_construction_services_company',
		'label'       => esc_html__( 'Menus Text Transform', 'construction-services-company' ),
		'section'     => 'construction_services_company_additional_settings',
		'default'     => 'CAPITALISE',
		'placeholder' => esc_html__( 'Choose an option', 'construction-services-company' ),
		'choices'     => [
			'CAPITALISE' => esc_html__( 'CAPITALISE', 'construction-services-company' ),
			'UPPERCASE' => esc_html__( 'UPPERCASE', 'construction-services-company' ),
			'LOWERCASE' => esc_html__( 'LOWERCASE', 'construction-services-company' ),

		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'construction_services_company_menu_zoom',
		'label'       => esc_html__( 'Menu Transition', 'construction-services-company' ),
		'section'     => 'construction_services_company_additional_settings',
		'default' => 'None',
		'placeholder' => esc_html__( 'Choose an option', 'construction-services-company' ),
		'choices'     => [
			'None' => __('None','construction-services-company'),
            'Zoominn' => __('Zoom Inn','construction-services-company'),
            
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'construction_services_company_container_width',
		'label'       => esc_html__( 'Theme Container Width', 'construction-services-company' ),
		'section'     => 'construction_services_company_additional_settings',
		'default'     => 100,
		'choices'     => [
			'min'  => 50,
			'max'  => 100,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'construction_services_company_site_loader',
		'label'       => esc_html__( 'Here you can enable or disable your Site Loader.', 'construction-services-company' ),
		'section'     => 'construction_services_company_additional_settings',
		'default'     => false,
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'construction_services_company_sticky_header',
		'label'       => esc_html__( 'Here you can enable or disable your Sticky Header.', 'construction-services-company' ),
		'section'     => 'construction_services_company_additional_settings',
		'default'     => false,
		'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'construction_services_company_page_layout',
		'label'       => esc_html__( 'Page Layout Setting', 'construction-services-company' ),
		'section'     => 'construction_services_company_additional_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'construction-services-company' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','construction-services-company'),
            'Right Sidebar' => __('Right Sidebar','construction-services-company'),
            'One Column' => __('One Column','construction-services-company')
		],
	] );

	// Woocommerce Settings

	if ( class_exists("woocommerce")){

	Kirki::add_section( 'construction_services_company_woocommerce_settings', array(
		'title'          => esc_html__( 'Woocommerce Settings', 'construction-services-company' ),
		'description'    => esc_html__( 'Shop Page', 'construction-services-company' ),
		'panel'          => 'construction_services_company_panel_id',
		'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'construction_services_company_shop_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable shop page sidebar.', 'construction-services-company' ),
		'section'     => 'construction_services_company_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'construction_services_company_product_sidebar',
		'label'       => esc_html__( 'Here you can enable or disable product page sidebar.', 'construction-services-company' ),
		'section'     => 'construction_services_company_woocommerce_settings',
		'default'     => '1',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'construction_services_company_related_product_setting',
		'label'       => esc_html__( 'Here you can enable or disable your related products.', 'construction-services-company' ),
		'section'     => 'construction_services_company_woocommerce_settings',
		'default'     => true,
		'priority'    => 10,
	] );

	new \Kirki\Field\Number(
		[
			'settings' => 'construction_services_company_per_columns',
			'label'    => esc_html__( 'Product Per Row', 'construction-services-company' ),
			'section'  => 'construction_services_company_woocommerce_settings',
			'default'  => 3,
			'choices'  => [
				'min'  => 1,
				'max'  => 4,
				'step' => 1,
			],
		]
	);

	new \Kirki\Field\Number(
		[
			'settings' => 'construction_services_company_product_per_page',
			'label'    => esc_html__( 'Product Per Page', 'construction-services-company' ),
			'section'  => 'construction_services_company_woocommerce_settings',
			'default'  => 9,
			'choices'  => [
				'min'  => 1,
				'max'  => 15,
				'step' => 1,
			],
		]
	);


	new \Kirki\Field\Number(
	[
		'settings' => 'custom_related_products_number_per_row',
		'label'    => esc_html__( 'Related Product Per Column', 'construction-services-company' ),
		'section'  => 'construction_services_company_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 4,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Number(
	[
		'settings' => 'custom_related_products_number',
		'label'    => esc_html__( 'Related Product Per Page', 'construction-services-company' ),
		'section'  => 'construction_services_company_woocommerce_settings',
		'default'  => 3,
		'choices'  => [
			'min'  => 1,
			'max'  => 10,
			'step' => 1,
		],
	]
	);

	new \Kirki\Field\Select(
	[
		'settings'    => 'construction_services_company_shop_page_layout',
		'label'       => esc_html__( 'Shop Page Layout Setting', 'construction-services-company' ),
		'section'     => 'construction_services_company_woocommerce_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'construction-services-company' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','construction-services-company'),
            'Right Sidebar' => __('Right Sidebar','construction-services-company')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'construction_services_company_product_page_layout',
		'label'       => esc_html__( 'Product Page Layout Setting', 'construction-services-company' ),
		'section'     => 'construction_services_company_woocommerce_settings',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'construction-services-company' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','construction-services-company'),
            'Right Sidebar' => __('Right Sidebar','construction-services-company')
		],
	] );

	new \Kirki\Field\Radio_Buttonset(
	[
		'settings'    => 'construction_services_company_woocommerce_pagination_position',
		'label'       => esc_html__( 'Woocommerce Pagination Alignment', 'construction-services-company' ),
		'section'     => 'construction_services_company_woocommerce_settings',
		'default'     => 'Center',
		'priority'    => 10,
		'choices'     => [
			'Left'   => esc_html__( 'Left', 'construction-services-company' ),
			'Center' => esc_html__( 'Center', 'construction-services-company' ),
			'Right'  => esc_html__( 'Right', 'construction-services-company' ),
		],
	]
	);

}

	// POST SECTION

	Kirki::add_section( 'construction_services_company_section_post', array(
	    'title'          => esc_html__( 'Post Settings', 'construction-services-company' ),
	    'description'    => esc_html__( 'Here you can get different post settings', 'construction-services-company' ),
	    'panel'          => 'construction_services_company_panel_id',
	    'priority'       => 160,
	) );

	new \Kirki\Field\Sortable(
	[
		'settings' => 'construction_services_company_archive_element_sortable',
		'label'    => __( 'Archive Post Page element Reordering', 'construction-services-company' ),
		'section'  => 'construction_services_company_section_post',
		'default'  => [ 'option1', 'option2', 'option3' ],
		'choices'  => [
			'option1' => esc_html__( 'Post Meta', 'construction-services-company' ),
			'option2' => esc_html__( 'Post Title', 'construction-services-company' ),
			'option3' => esc_html__( 'Post Content', 'construction-services-company' ),
		],
	]
	);

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'slider',
		'settings'    => 'construction_services_company_post_excerpt_number',
		'label'       => esc_html__( 'Post Content Range', 'construction-services-company' ),
		'section'     => 'construction_services_company_section_post',
		'default'     => 15,
		'choices'     => [
			'min'  => 0,
			'max'  => 100,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'toggle',
		'settings'    => 'construction_services_company_pagination_setting',
		'label'       => esc_html__( 'Here you can enable or disable your Pagination.', 'construction-services-company' ),
		'section'     => 'construction_services_company_section_post',
		'default'     => true,
		'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'construction_services_company_archive_sidebar_layout',
		'label'       => esc_html__( 'Archive Post Sidebar Layout Setting', 'construction-services-company' ),
		'section'     => 'construction_services_company_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'construction-services-company' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','construction-services-company'),
            'Right Sidebar' => __('Right Sidebar','construction-services-company')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'construction_services_company_single_post_sidebar_layout',
		'label'       => esc_html__( 'Single Post Sidebar Layout Setting', 'construction-services-company' ),
		'section'     => 'construction_services_company_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'construction-services-company' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','construction-services-company'),
            'Right Sidebar' => __('Right Sidebar','construction-services-company')
		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'construction_services_company_search_sidebar_layout',
		'label'       => esc_html__( 'Search Page Sidebar Layout Setting', 'construction-services-company' ),
		'section'     => 'construction_services_company_section_post',
		'default' => 'Right Sidebar',
		'placeholder' => esc_html__( 'Choose an option', 'construction-services-company' ),
		'choices'     => [
			'Left Sidebar' => __('Left Sidebar','construction-services-company'),
            'Right Sidebar' => __('Right Sidebar','construction-services-company')
		],
	] );

		Kirki::add_field( 'construction_services_company_config', [
		'type'        => 'select',
		'settings'    => 'construction_services_company_post_column_count',
		'label'       => esc_html__( 'Grid Column for Archive Page', 'construction-services-company' ),
		'section'     => 'construction_services_company_section_post',
		'default'    => '2',
		'choices' => [
				'1' => __( '1 Column', 'construction-services-company' ),
				'2' => __( '2 Column', 'construction-services-company' ),
				'3' => __( '3 Column', 'construction-services-company' ),
				'4' => __( '4 Column', 'construction-services-company' ),
			],
	] );

		// Breadcrumb
	Kirki::add_section( 'construction_services_company_bradcrumb', array(
	    'title'          => esc_html__( 'Breadcrumb Settings', 'construction-services-company' ),
	    'description'    => esc_html__( 'Here you can get Breadcrumb settings', 'construction-services-company' ),
	    'panel'          => 'construction_services_company_panel_id',
	    'priority'       => 160,
	) );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'construction_services_company_enable_breadcrumb_heading',
		'section'     => 'construction_services_company_bradcrumb',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Single Page Breadcrumb', 'construction-services-company' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'construction_services_company_breadcrumb_enable',
		'label'       => esc_html__( 'Breadcrumb Enable / Disable', 'construction-services-company' ),
		'section'     => 'construction_services_company_bradcrumb',
		'default'     => true,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'construction-services-company' ),
			'off' => esc_html__( 'Disable', 'construction-services-company' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
        'type'     => 'text',
        'default'     => '/',
        'settings' => 'construction_services_company_breadcrumb_separator' ,
        'label'    => esc_html__( 'Breadcrumb Separator',  'construction-services-company' ),
        'section'  => 'construction_services_company_bradcrumb',
    ] );


	// HEADER SECTION

	Kirki::add_section( 'construction_services_company_section_header', array(
	    'title'          => esc_html__( 'Header Settings', 'construction-services-company' ),
	    'description'    => esc_html__( 'Here you can add header information.', 'construction-services-company' ),
	    'panel'          => 'construction_services_company_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'construction_services_company_header_phone_number_heading',
		'section'     => 'construction_services_company_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Phone Number', 'construction-services-company' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'construction_services_company_header_phone_number',
		'section'  => 'construction_services_company_section_header',
		'default'  => '',
		'sanitize_callback' => 'construction_services_company_sanitize_phone_number',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'construction_services_company_enable_email_heading',
		'section'     => 'construction_services_company_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Email Address', 'construction-services-company' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'construction_services_company_header_email',
		'section'  => 'construction_services_company_section_header',
		'default'  => '',
		'sanitize_callback' => 'sanitize_email',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'construction_services_company_enable_location_heading',
		'section'     => 'construction_services_company_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Add Location', 'construction-services-company' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'construction_services_company_header_location',
		'section'  => 'construction_services_company_section_header',
		'default'  => '',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'construction_services_company_enable_search',
		'section'     => 'construction_services_company_section_header',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Search Box', 'construction-services-company' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'construction_services_company_search_box_enable',
		'section'     => 'construction_services_company_section_header',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'construction-services-company' ),
			'off' => esc_html__( 'Disable', 'construction-services-company' ),
		],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'construction_services_company_enable_socail_link',
		'section'     => 'construction_services_company_section_header',
		'default'     => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Social Media Link', 'construction-services-company' ) . '</h3>',
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'repeater',
		'section'     => 'construction_services_company_section_header',
		'row_label' => [
			'type'  => 'field',
			'value' => esc_html__( 'Social Icon', 'construction-services-company' ),
			'field' => 'link_text',
		],
		'button_label' => esc_html__('Add New Social Icon', 'construction-services-company' ),
		'settings'     => 'construction_services_company_social_links_settings',
		'default'      => '',
		'fields' 	   => [
			'link_text' => [
				'type'        => 'text',
				'label'       => esc_html__( 'Icon', 'construction-services-company' ),
				'description' => esc_html__( 'Add the fontawesome class ex: "fab fa-facebook-f".', 'construction-services-company' ),
				'default'     => '',
			],
			'link_url' => [
				'type'        => 'url',
				'label'       => esc_html__( 'Social Link', 'construction-services-company' ),
				'description' => esc_html__( 'Add the social icon url here.', 'construction-services-company' ),
				'default'     => '',
			],
		],
		'choices' => [
			'limit' => 5
		],
	] );

	// SLIDER SECTION

	Kirki::add_section( 'construction_services_company_blog_slide_section', array(
        'title'          => esc_html__( ' Slider Settings', 'construction-services-company' ),
        'description'    => esc_html__( 'You have to select post category to show slider.', 'construction-services-company' ),
        'panel'          => 'construction_services_company_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'construction_services_company_enable_heading',
		'section'     => 'construction_services_company_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Slider', 'construction-services-company' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'construction_services_company_blog_box_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'construction-services-company' ),
		'section'     => 'construction_services_company_blog_slide_section',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'construction-services-company' ),
			'off' => esc_html__( 'Disable', 'construction-services-company' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'construction_services_company_title_unable_disable',
		'label'       => esc_html__( 'Slide Title Enable / Disable', 'construction-services-company' ),
		'section'     => 'construction_services_company_blog_slide_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'construction-services-company' ),
			'off' => esc_html__( 'Disable', 'construction-services-company' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'construction_services_company_button_unable_disable',
		'label'       => esc_html__( 'Slide Button Enable / Disable', 'construction-services-company' ),
		'section'     => 'construction_services_company_blog_slide_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'construction-services-company' ),
			'off' => esc_html__( 'Disable', 'construction-services-company' ),
		],
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'construction_services_company_slider_heading',
		'section'     => 'construction_services_company_blog_slide_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Slider', 'construction-services-company' ) . '</h3>',
		'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
        'type'     => 'text',
        'settings' => 'construction_services_company_slider_extra_heading' ,
        'label'    => esc_html__( 'Extra Heading',  'construction-services-company' ),
        'section'  => 'construction_services_company_blog_slide_section',
    ] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'construction_services_company_blog_slide_number',
		'label'       => esc_html__( 'Number of slides to show', 'construction-services-company' ),
		'section'     => 'construction_services_company_blog_slide_section',
		'default'     => 0,
		'choices'     => [
			'min'  => 0,
			'max'  => 5,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'construction_services_company_blog_slide_category',
		'label'       => esc_html__( 'Select the category to show slider ( Image Dimension 1600 x 600 )', 'construction-services-company' ),
		'section'     => 'construction_services_company_blog_slide_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'construction-services-company' ),
		'priority'    => 10,
		'choices'     => construction_services_company_get_categories_select(),
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'construction_services_company_slider_content_alignment',
		'label'       => esc_html__( 'Slider Content Alignment', 'construction-services-company' ),
		'section'     => 'construction_services_company_blog_slide_section',
		'default'     => 'LEFT-ALIGN',
		'placeholder' => esc_html__( 'Choose an option', 'construction-services-company' ),
		'choices'     => [
			'LEFT-ALIGN' => esc_html__( 'LEFT-ALIGN', 'construction-services-company' ),
			'CENTER-ALIGN' => esc_html__( 'CENTER-ALIGN', 'construction-services-company' ),
			'RIGHT-ALIGN' => esc_html__( 'RIGHT-ALIGN', 'construction-services-company' ),

		],
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'construction_services_company_slider_opacity_color',
		'label'       => esc_html__( 'Slider Opacity Option', 'construction-services-company' ),
		'section'     => 'construction_services_company_blog_slide_section',
		'default'     => '0.5',
		'placeholder' => esc_html__( 'Choose an option', 'construction-services-company' ),
		'choices'     => [
			'0' => esc_html__( '0', 'construction-services-company' ),
			'0.1' => esc_html__( '0.1', 'construction-services-company' ),
			'0.2' => esc_html__( '0.2', 'construction-services-company' ),
			'0.3' => esc_html__( '0.3', 'construction-services-company' ),
			'0.4' => esc_html__( '0.4', 'construction-services-company' ),
			'0.5' => esc_html__( '0.5', 'construction-services-company' ),
			'0.6' => esc_html__( '0.6', 'construction-services-company' ),
			'0.7' => esc_html__( '0.7', 'construction-services-company' ),
			'0.8' => esc_html__( '0.8', 'construction-services-company' ),
			'0.9' => esc_html__( '0.9', 'construction-services-company' ),
			'1.0' => esc_html__( '1.0', 'construction-services-company' ),
			

		],
	] );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'construction_services_company_overlay_option',
		'label'       => esc_html__( 'Enable / Disable Slider Overlay', 'construction-services-company' ),
		'section'     => 'construction_services_company_blog_slide_section',
		'default'     => false,
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'construction-services-company' ),
			'off' => esc_html__( 'Disable', 'construction-services-company' ),
		],
	] );

	 Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'construction_services_company_slider_image_overlay_color',
		'label'       => __( 'choose your Appropriate Overlay Color', 'construction-services-company' ),
		'section'     => 'construction_services_company_blog_slide_section',
		'default'     => '',
	] );

	//OUR SERVICES SECTION

	Kirki::add_section( 'construction_services_company_what_we_do_section', array(
	    'title'          => esc_html__( 'Our Servies Settings', 'construction-services-company' ),
	    'description'    => esc_html__( 'Here you can add services post.', 'construction-services-company' ),
	    'panel'          => 'construction_services_company_panel_id',
	    'priority'       => 160,
	) );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'construction_services_company_footer_enable_heading',
		'section'     => 'construction_services_company_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Footer Link', 'construction-services-company' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'construction_services_company_copyright_enable',
		'label'       => esc_html__( 'Section Enable / Disable', 'construction-services-company' ),
		'section'     => 'construction_services_company_footer_section',
		'default'     => '1',
		'priority'    => 10,
		'choices'     => [
			'on'  => esc_html__( 'Enable', 'construction-services-company' ),
			'off' => esc_html__( 'Disable', 'construction-services-company' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'construction_services_company_enable_heading',
		'section'     => 'construction_services_company_what_we_do_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Enable / Disable Our Services',  'construction-services-company' ) . '</h3>',
		'priority'    => 1,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'switch',
		'settings'    => 'construction_services_company_what_we_do_section_enable',
		'label'       => esc_html__( 'Section Enable / Disable',  'construction-services-company' ),
		'section'     => 'construction_services_company_what_we_do_section',
		'default'     => false,
		'priority'    => 2,
		'choices'     => [
			'on'  => esc_html__( 'Enable',  'construction-services-company' ),
			'off' => esc_html__( 'Disable',  'construction-services-company' ),
		],
	] );

	Kirki::add_field( 'theme_config_id', [
        'type'     => 'text',
        'settings' => 'construction_services_company_what_we_do_short_heading' ,
        'label'    => esc_html__( 'Short Heading',  'construction-services-company' ),
        'section'  => 'construction_services_company_what_we_do_section',
    ] );

	Kirki::add_field( 'theme_config_id', [
        'type'     => 'text',
        'settings' => 'construction_services_company_what_we_do_heading' ,
        'label'    => esc_html__( 'Heading',  'construction-services-company' ),
        'section'  => 'construction_services_company_what_we_do_section',
    ] );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'number',
		'settings'    => 'construction_services_company_what_we_do_left_number',
		'label'       => esc_html__( 'Number of post to show', 'construction-services-company' ),
		'section'     => 'construction_services_company_what_we_do_section',
		'default'     => 0,
		'choices'     => [
			'min'  => 1,
			'max'  => 10,
			'step' => 1,
		],
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'select',
		'settings'    => 'construction_services_company_what_we_do_left_category',
		'label'       => esc_html__( 'Select the category to show post', 'construction-services-company' ),
		'section'     => 'construction_services_company_what_we_do_section',
		'default'     => '',
		'placeholder' => esc_html__( 'Select an category...', 'construction-services-company' ),
		'priority'    => 10,
		'choices'     => construction_services_company_get_categories_select(),
	] );

	// FOOTER SECTION

	Kirki::add_section( 'construction_services_company_footer_section', array(
        'title'          => esc_html__( 'Footer Settings', 'construction-services-company' ),
        'description'    => esc_html__( 'Here you can change copyright text', 'construction-services-company' ),
        'panel'          => 'construction_services_company_panel_id',
        'priority'       => 160,
    ) );

    Kirki::add_field( 'theme_config_id', [
		'type'        => 'custom',
		'settings'    => 'construction_services_company_footer_text_heading',
		'section'     => 'construction_services_company_footer_section',
			'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Text', 'construction-services-company' ) . '</h3>',
		'priority'    => 10,
	] );

    Kirki::add_field( 'theme_config_id', [
		'type'     => 'text',
		'settings' => 'construction_services_company_footer_text',
		'section'  => 'construction_services_company_footer_section',
		'default'  => '',
		'priority' => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'construction_services_company_footer_text_heading_2',
	'section'     => 'construction_services_company_footer_section',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Alignment', 'construction-services-company' ) . '</h3>',
	'priority'    => 10,
	] );

	new \Kirki\Field\Select(
	[
		'settings'    => 'construction_services_company_copyright_text_alignment',
		'label'       => esc_html__( 'Copyright text Alignment', 'construction-services-company' ),
		'section'     => 'construction_services_company_footer_section',
		'default'     => 'LEFT-ALIGN',
		'placeholder' => esc_html__( 'Choose an option', 'construction-services-company' ),
		'choices'     => [
			'LEFT-ALIGN' => esc_html__( 'LEFT-ALIGN', 'construction-services-company' ),
			'CENTER-ALIGN' => esc_html__( 'CENTER-ALIGN', 'construction-services-company' ),
			'RIGHT-ALIGN' => esc_html__( 'RIGHT-ALIGN', 'construction-services-company' ),

		],
	] );

	Kirki::add_field( 'theme_config_id', [
	'type'        => 'custom',
	'settings'    => 'construction_services_company_footer_text_heading_1',
	'section'     => 'construction_services_company_footer_section',
		'default'         => '<h3 style="color: #2271b1; padding:10px; background:#fff; margin:0; border-left: solid 5px #2271b1; ">' . __( 'Footer Copyright Background Color', 'construction-services-company' ) . '</h3>',
	'priority'    => 10,
	] );

	Kirki::add_field( 'theme_config_id', [
		'type'        => 'color',
		'settings'    => 'construction_services_company_copyright_bg',
		'label'       => __( 'Choose Your Copyright Background Color', 'construction-services-company' ),
		'section'     => 'construction_services_company_footer_section',
		'default'     => '',
	] );
}
