<?php

/**
* Get started notice
*/

add_action( 'wp_ajax_construction_services_company_dismissed_notice_handler', 'construction_services_company_ajax_notice_handler' );

function construction_services_company_ajax_notice_handler() {
    if ( isset( $_POST['type'] ) ) {
        $type = sanitize_text_field( wp_unslash( $_POST['type'] ) );
        update_option( 'dismissed-' . $type, TRUE );
    }
}

function construction_services_company_deprecated_hook_admin_notice() {
        if ( ! get_option('dismissed-get_started', FALSE ) ) { ?>
            <?php
            $current_screen = get_current_screen();
				if ($current_screen->id !== 'appearance_page_construction-services-company-guide-page') {
             $construction_services_company_comments_theme = wp_get_theme(); ?>
            <div class="construction-services-company-notice-wrapper updated notice notice-get-started-class is-dismissible" data-notice="get_started">
			<div class="construction-services-company-notice">
				<div class="construction-services-company-notice-img">
					<img src="<?php echo esc_url(get_template_directory_uri() . '/assets/images/admin-logo.png'); ?>" alt="<?php esc_attr_e('logo', 'construction-services-company'); ?>">
				</div>
				<div class="construction-services-company-notice-content">
					<div class="construction-services-company-notice-heading"><?php esc_html_e('Thanks for installing ','construction-services-company'); ?><?php echo esc_html( $construction_services_company_comments_theme ); ?></div>
					<p><?php printf(__('In order to fully benefit from everything our theme has to offer, please make sure you visit our <a href="%s">For Premium Options</a>.', 'construction-services-company'), esc_url(admin_url('themes.php?page=construction-services-company-guide-page'))); ?></p>
				</div>
			</div>
		</div>
        <?php }
	}
}

add_action( 'admin_notices', 'construction_services_company_deprecated_hook_admin_notice' );

add_action( 'admin_menu', 'construction_services_company_getting_started' );
function construction_services_company_getting_started() {
	add_theme_page( esc_html__('Get Started', 'construction-services-company'), esc_html__('Get Started', 'construction-services-company'), 'edit_theme_options', 'construction-services-company-guide-page', 'construction_services_company_test_guide');
}

function construction_services_company_admin_enqueue_scripts() {
	wp_enqueue_style( 'construction-services-company-admin-style', esc_url( get_template_directory_uri() ).'/css/main.css' );
	wp_enqueue_script( 'construction-services-company-admin-script', get_template_directory_uri() . '/js/construction-services-company-admin-script.js', array( 'jquery' ), '', true );
    wp_localize_script( 'construction-services-company-admin-script', 'construction_services_company_ajax_object',
        array( 'ajax_url' => admin_url( 'admin-ajax.php' ) )
    );
}
add_action( 'admin_enqueue_scripts', 'construction_services_company_admin_enqueue_scripts' );

if ( ! defined( 'CONSTRUCTION_SERVICES_COMPANY_DOCS_FREE' ) ) {
define('CONSTRUCTION_SERVICES_COMPANY_DOCS_FREE',__('https://www.misbahwp.com/docs/construction-services-company-free-docs/','construction-services-company'));
}
if ( ! defined( 'CONSTRUCTION_SERVICES_COMPANY_DOCS_PRO' ) ) {
define('CONSTRUCTION_SERVICES_COMPANY_DOCS_PRO',__('https://www.misbahwp.com/docs/construction-services-company-pro-docs','construction-services-company'));
}
if ( ! defined( 'CONSTRUCTION_SERVICES_COMPANY_BUY_NOW' ) ) {
define('CONSTRUCTION_SERVICES_COMPANY_BUY_NOW',__('https://www.misbahwp.com/themes/construction-company-wordpress-theme/','construction-services-company'));
}
if ( ! defined( 'CONSTRUCTION_SERVICES_COMPANY_SUPPORT_FREE' ) ) {
define('CONSTRUCTION_SERVICES_COMPANY_SUPPORT_FREE',__('https://wordpress.org/support/theme/construction-services-company','construction-services-company'));
}
if ( ! defined( 'CONSTRUCTION_SERVICES_COMPANY_REVIEW_FREE' ) ) {
define('CONSTRUCTION_SERVICES_COMPANY_REVIEW_FREE',__('https://wordpress.org/support/theme/construction-services-company/reviews/#new-post','construction-services-company'));
}
if ( ! defined( 'CONSTRUCTION_SERVICES_COMPANY_DEMO_PRO' ) ) {
define('CONSTRUCTION_SERVICES_COMPANY_DEMO_PRO',__('https://www.misbahwp.com/demo/construction-services-company/','construction-services-company'));
}

function construction_services_company_test_guide() { ?>
	<?php $construction_services_company_theme = wp_get_theme(); ?>

	<div class="wrap" id="main-page">
		<div id="lefty">
			<div id="admin_links">
				<a href="<?php echo esc_url( CONSTRUCTION_SERVICES_COMPANY_DOCS_FREE ); ?>" target="_blank" class="blue-button-1"><?php esc_html_e( 'Documentation', 'construction-services-company' ) ?></a>
				<a href="<?php echo esc_url( admin_url('customize.php') ); ?>" id="customizer" target="_blank"><?php esc_html_e( 'Customize', 'construction-services-company' ); ?> </a>
				<a class="blue-button-1" href="<?php echo esc_url( CONSTRUCTION_SERVICES_COMPANY_SUPPORT_FREE ); ?>" target="_blank" class="btn3"><?php esc_html_e( 'Support', 'construction-services-company' ) ?></a>
				<a class="blue-button-2" href="<?php echo esc_url( CONSTRUCTION_SERVICES_COMPANY_REVIEW_FREE ); ?>" target="_blank" class="btn4"><?php esc_html_e( 'Review', 'construction-services-company' ) ?></a>
			</div>
			<div id="description">
				<h3><?php esc_html_e('Welcome! Thank you for choosing ','construction-services-company'); ?><?php echo esc_html( $construction_services_company_theme ); ?>  <span><?php esc_html_e('Version: ', 'construction-services-company'); ?><?php echo esc_html($construction_services_company_theme['Version']);?></span></h3>
				<img class="img_responsive" style="width:100%;" src="<?php echo esc_url( get_template_directory_uri() ); ?>/screenshot.png">
				<div id="description-insidee">
					<?php
						$construction_services_company_theme = wp_get_theme();
						echo wp_kses_post( apply_filters( 'misbah_theme_description', esc_html( $construction_services_company_theme->get( 'Description' ) ) ) );
					?>
				</div>
			</div>
		</div>

		<div id="righty">
			<div class="postboxx donate">
				<h3 class="hndle"><?php esc_html_e( 'Upgrade to Premium', 'construction-services-company' ); ?></h3>
				<div class="insidee">
					<p><?php esc_html_e('Discover upgraded pro features with premium version click to upgrade.','construction-services-company'); ?></p>
					<div id="admin_pro_links">
						<a class="blue-button-2" href="<?php echo esc_url( CONSTRUCTION_SERVICES_COMPANY_BUY_NOW ); ?>" target="_blank"><?php esc_html_e( 'Go Pro', 'construction-services-company' ); ?></a>
						<a class="blue-button-1" href="<?php echo esc_url( CONSTRUCTION_SERVICES_COMPANY_DEMO_PRO ); ?>" target="_blank"><?php esc_html_e( 'Live Demo', 'construction-services-company' ) ?></a>
						<a class="blue-button-2" href="<?php echo esc_url( CONSTRUCTION_SERVICES_COMPANY_DOCS_PRO ); ?>" target="_blank"><?php esc_html_e( 'Pro Docs', 'construction-services-company' ) ?></a>
					</div>
				</div>

				<h3 class="hndle bundle"><?php esc_html_e( 'Go For Theme Bundle', 'construction-services-company' ); ?></h3>
				<div class="insidee theme-bundle">
					<p class="offer"><?php esc_html_e('Get 80+ Perfect WordPress Theme In A Single Package at just $79."','construction-services-company'); ?></p>
					<p class="coupon"><?php esc_html_e('Get Our Theme Pack of 80+ WordPress Themes At 15% Off','construction-services-company'); ?><span class="coupon-code"><?php esc_html_e('"Bundleup15"','construction-services-company'); ?></span></p>
					<div id="admin_pro_linkss">
						<a class="blue-button-1" href="<?php echo esc_url( CONSTRUCTION_SERVICES_COMPANY_THEME_BUNDLE ); ?>" target="_blank"><?php esc_html_e( 'Theme Bundle', 'construction-services-company' ) ?></a>
					</div>
				</div>
				<div class="d-table">
			    <ul class="d-column">
			      <li class="feature"><?php esc_html_e('Features','construction-services-company'); ?></li>
			      <li class="free"><?php esc_html_e('Pro','construction-services-company'); ?></li>
			      <li class="plus"><?php esc_html_e('Free','construction-services-company'); ?></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('24hrs Priority Support','construction-services-company'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Kirki Framework','construction-services-company'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Posttype','construction-services-company'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('One Click Demo Import','construction-services-company'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Section Reordering','construction-services-company'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Enable / Disable Option','construction-services-company'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Multiple Sections','construction-services-company'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Color Pallete','construction-services-company'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Widgets','construction-services-company'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-yes"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Page Templates','construction-services-company'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Advance Typography','construction-services-company'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
			    <ul class="d-row">
			      <li class="points"><?php esc_html_e('Section Background Image / Color ','construction-services-company'); ?></li>
			      <li class="right"><span class="dashicons dashicons-yes"></span></li>
			      <li class="wrong"><span class="dashicons dashicons-no"></span></li>
			    </ul>
	  		</div>
			</div>
		</div>
	</div>

<?php } ?>
